Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class AbstractGraphDatabase

    java.lang.Object
      org.neo4j.kernel.AbstractGraphDatabase

All Implemented Interfaces:
  GraphDatabaseService

Direct Known Subclasses:
  EmbeddedGraphDatabase, EmbeddedReadOnlyGraphDatabase

    public abstract class AbstractGraphDatabase

extends Object
implements GraphDatabaseService

Exposes the methods `getConfig()`() and `getManagementBeans(Class)`() a.s.o.

Constructor Summary
`AbstractGraphDatabase()`

Method Summary
`abstract Config` | `getConfig()`
`
`<T> T`
` | `getManagementBean(Class<T> type)` Deprecated. since Neo4j may now have multiple beans implementing the same bean interface, this method has been deprecated in favor of `getSingleManagementBean(Class)` and `getManagementBeans(Class)` . Version 1.5 of Neo4j will be the last version to contain this method.
`abstract
`<T> Collection<T>`
` | `getManagementBeans(Class<T> type)`
`
`<T> T`
` | `getSingleManagementBean(Class<T> type)`
`abstract String` | `getStoreDir()`
`abstract boolean` | `isReadOnly()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.neo4j.graphdb.GraphDatabaseService
`beginTx, createNode, getAllNodes, getNodeById, getReferenceNode, getRelationshipById, getRelationshipTypes, index, registerKernelEventHandler, registerTransactionEventHandler, shutdown, unregisterKernelEventHandler, unregisterTransactionEventHandler`

Constructor Detail

### AbstractGraphDatabase

    public AbstractGraphDatabase()

Method Detail

### getStoreDir

    public abstract String getStoreDir()

### getConfig

    public abstract Config getConfig()

### getManagementBean

    @Deprecated
    public final <T> T getManagementBean(Class<T> type)

  Deprecated. since Neo4j may now have multiple beans implementing the same bean interface, this method has been deprecated in favor of `getSingleManagementBean(Class)` and `getManagementBeans(Class)` . Version 1.5 of Neo4j will be the last version to contain this method.

  Get a single management bean. Delegates to `getSingleManagementBean(Class)`.

### getSingleManagementBean

    public final <T> T getSingleManagementBean(Class<T> type)

### getManagementBeans

    public abstract <T> Collection<T> getManagementBeans(Class<T> type)

### isReadOnly

    public abstract boolean isReadOnly()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.